Docker Community Forums

Share and learn in the Docker community.

Upgraded, now it won't run at all


(Ekkis) #1

I upgraded to the latest version and now I can’t get it to do anything. see below:

$ docker --version
Docker version 1.12.1, build 6f9534c, experimental
$ docker ps
An error occurred trying to connect: Get http://%2Fvar%2Frun%2Fdocker.sock/v1.24/containers/json: EOF

thoughts anyone?


(Patricknw) #2

I’m having a similar problem. Have tried the new 1.2.2-rc1 beta, and even the stable release, after uninstalling the old code, and my docker just hangs on “starting…” and will not respond or recover…


(Calufrax) #3

Same problem here - using OS X 10.11.6 and just upgraded Docker to

Version 1.12.2-rc1-beta27 (build: 12496)

and Docker won’t start. The menu shows “Docker starting…” but that’s as far as we get. Rebooting hasn’t fixed it.


(Brandong) #4

Hey, what do you know, same here! Was on 1.12.0 beta for a while, decided to go “stable” today. Hasn’t made it past “starting” yet!


(Patricknw) #5

I removed my old install, then completely rebooted my Mac, did a re-install, and that seems to have fixed the problem. My docker daemon is once again up and running. :slight_smile: